[ARVADOS] updated: a74883043be4bfda29010adcd3627b4ad8923a29

Git user git at public.curoverse.com
Fri Apr 1 11:00:44 EDT 2016


Summary of changes:
 build/run-build-packages-python-and-ruby.sh | 15 ++++++++++-----
 build/run-build-packages.sh                 |  1 +
 2 files changed, 11 insertions(+), 5 deletions(-)

       via  a74883043be4bfda29010adcd3627b4ad8923a29 (commit)
      from  9bf2ba202652163937d79341e855910f8c330d05 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit a74883043be4bfda29010adcd3627b4ad8923a29
Author: Ward Vandewege <ward at curoverse.com>
Date:   Fri Apr 1 10:59:46 2016 -0400

    A few more fixes for run-build-packages-python-and-ruby.sh, and a small
    safeguard for run-build-packages.sh.
    
    refs #8864

diff --git a/build/run-build-packages-python-and-ruby.sh b/build/run-build-packages-python-and-ruby.sh
index 8d593ac..e7981e5 100755
--- a/build/run-build-packages-python-and-ruby.sh
+++ b/build/run-build-packages-python-and-ruby.sh
@@ -23,12 +23,10 @@ WORKSPACE=path         Path to the Arvados source tree to build packages from
 
 EOF
 
-EXITCODE=0
-
 exit_cleanly() {
     trap - INT
     report_outcomes
-    exit $EXITCODE
+    exit ${#failures[@]}
 }
 
 gem_wrapper() {
@@ -53,6 +51,9 @@ python_wrapper() {
   timer_reset
 
   cd "$package_directory"
+  if [[ $DEBUG > 0 ]]; then
+    echo `pwd`
+  fi
   handle_python_package
 
   checkexit $? "$package_name python package build"
@@ -140,6 +141,7 @@ fi
 chmod o+r "$WORKSPACE" -R
 
 # More cleanup - make sure all executables that we'll package are 755
+cd "$WORKSPACE"
 find -type d -name 'bin' |xargs -I {} find {} -type f |xargs -I {} chmod 755 {}
 
 # Now fix our umask to something better suited to building and publishing
@@ -148,8 +150,6 @@ umask 0022
 
 debug_echo "umask is" `umask`
 
-FPM_GEM_PREFIX=$($GEM environment gemdir)
-
 gem_wrapper arvados "$WORKSPACE/sdk/ruby"
 gem_wrapper arvados-cli "$WORKSPACE/sdk/cli"
 gem_wrapper arvados-login-sync "$WORKSPACE/services/login-sync"
@@ -171,6 +171,11 @@ if [ $((${#failures[@]} - $GEM_BUILD_FAILURES)) -ne 0 ]; then
 fi
 
 if [[ "$UPLOAD" != 0 ]]; then
+
+  if [[ ! -e "$WORKSPACE/packages" ]]; then
+    mkdir -p "$WORKSPACE/packages"
+  fi
+
   title "Start upload python packages"
   timer_reset
 
diff --git a/build/run-build-packages.sh b/build/run-build-packages.sh
index fd18b39..0db324d 100755
--- a/build/run-build-packages.sh
+++ b/build/run-build-packages.sh
@@ -205,6 +205,7 @@ fi
 chmod o+r "$WORKSPACE" -R
 
 # More cleanup - make sure all executables that we'll package are 755
+cd "$WORKSPACE"
 find -type d -name 'bin' |xargs -I {} find {} -type f |xargs -I {} chmod 755 {}
 
 # Now fix our umask to something better suited to building and publishing

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list